#set -x
file=/tmp/$$

if [ -L /config/dropbear ] ; then
    rm -r /config/dropbear
fi

check_files() {
  md5sum -c fileinfo
  vres=$?
  if [ $vres -eq 1 ]; then
    echo "RUNME: FileList SD Check Failed!!!" >> /tmp/upgrade_result
    exit 3
  fi
}

update_sd() {
  sync; echo 1 > /proc/sys/vm/drop_caches
  mv -f uramdisk.image.gz /mnt/mmc/uramdisk.image.gz
  mv -f update.image.gz  /mnt/mmc/update.image.gz
  mv -f upgrade.tar.gz  /mnt/mmc/upgrade.tar.gz
  mv -f uEnv.txt  /mnt/mmc/uEnv.txt
  mv -f fileinfo  /mnt/mmc/fileinfo
  sleep 5
}

delete_files() {
  rm -rf /config/scanfreqdone 2>/dev/null
  if [ -e "/nvdata/latest.tar.gz" ]; then
    rm "/nvdata/latest.tar.gz" 2>/dev/null
  fi
  rm -rf /hive-config/model 2>/dev/null
  sync
}

migrations() {
  ./rig-conf-migration.sh > /dev/null 2>&1
}


check_files
update_sd
delete_files
migrations

rm -rf /config/scanfreqdone 2>/dev/null
if [ -e "/nvdata/latest.tar.gz" ]; then
  rm "/nvdata/latest.tar.gz" 2>/dev/null
fi
sync >/dev/null 2>&1

return 0
